com.dlsc.flexgantt.swing

## Class TimelineObjectPathMessage

- java.lang.Object
- - com.dlsc.flexgantt.swing.Message
  - - com.dlsc.flexgantt.swing.TimelineObjectPathMessage

- All Implemented Interfaces:
    IMessage, ITimelineObjectPathMessage
  Direct Known Subclasses:
    ConstraintViolationMessage

      public class TimelineObjectPathMessage
      extends Message
      implements ITimelineObjectPathMessage

  A timeline object message is used when the application wants to display a message to the user that is somehow related to a single timeline object. The timeline object might cause some scheduling constraint violations and the application requests from the user to perform scheduling actions.
  Since:
    1.0
  Version:
    $Revision: 1.5 $
  Author:
    Dirk Lemmermann
  See Also:
    `Message`, `TreePathMessage`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimelineObjectPathMessage(MessageTypeId id, String text, Date time, TimelineObjectPath path)` Constructs a new message.
    `TimelineObjectPathMessage(MessageTypeId id, String text, Object details, Date time, TimelineObjectPath path)` Constructs a new message.
    `TimelineObjectPathMessage(MessageTypeId id, String text, Object details, TimelineObjectPath path)` Constructs a new message.
    `TimelineObjectPathMessage(MessageTypeId id, String text, TimelineObjectPath path)` Constructs a new message.
    `TimelineObjectPathMessage(String text, Object details, TimelineObjectPath path)` Constructs a new error message.
    `TimelineObjectPathMessage(String text, TimelineObjectPath path)` Constructs a new information message.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TimelineObjectPath` | `getTimelineObjectPath()` A path to the timeline object.

    - ### Methods inherited from class com.dlsc.flexgantt.swing.Message

      `getMessageDetails, getMessageText, getMessageTime, getMessageTypeId, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.dlsc.flexgantt.swing.IMessage

      `getMessageDetails, getMessageText, getMessageTime, getMessageTypeId`

- - ### Constructor Detail

    - #### TimelineObjectPathMessage

          public TimelineObjectPathMessage(MessageTypeId id,
                                           String text,
                                           Object details,
                                           Date time,
                                           TimelineObjectPath path)

      Constructs a new message.
      Parameters:
        `id` - a message type identifier used to distinguish between plain information messages or warning and error messages
        `text` - the message that will be shown to the user
        `details` - an object storing additional information about the cause of the message
        `time` - a message time stamp
        `path` - a timeline object path to the tree node and the timeline object
      Since:
        1.0
      See Also:
        `Message`, `TreePathMessage`

    - #### TimelineObjectPathMessage

          public TimelineObjectPathMessage(MessageTypeId id,
                                           String text,
                                           Date time,
                                           TimelineObjectPath path)

      Constructs a new message.
      Parameters:
        `id` - a message type identifier used to distinguish between plain information messages or warning and error messages
        `text` - the message that will be shown to the user
        `time` - a message time stamp
        `path` - a timeline object path to the tree node and the timeline object
      Since:
        1.0
      See Also:
        `Message`, `TreePathMessage`

    - #### TimelineObjectPathMessage

          public TimelineObjectPathMessage(MessageTypeId id,
                                           String text,
                                           Object details,
                                           TimelineObjectPath path)

      Constructs a new message.
      Parameters:
        `id` - a message type identifier used to distinguish between plain information messages or warning and error messages
        `text` - the message that will be shown to the user
        `details` - an object storing additional information about the cause of the message
        `path` - a timeline object path to the tree node and the timeline object
      Since:
        1.0
      See Also:
        `Message`, `TreePathMessage`

    - #### TimelineObjectPathMessage

          public TimelineObjectPathMessage(MessageTypeId id,
                                           String text,
                                           TimelineObjectPath path)

      Constructs a new message.
      Parameters:
        `id` - a message type identifier used to distinguish between plain information messages or warning and error messages
        `text` - the message that will be shown to the user
        `path` - a timeline object path to the tree node and the timeline object
      Since:
        1.0
      See Also:
        `Message`, `TreePathMessage`

    - #### TimelineObjectPathMessage

          public TimelineObjectPathMessage(String text,
                                           Object details,
                                           TimelineObjectPath path)

      Constructs a new error message.
      Parameters:
        `text` - the message that will be shown to the user
        `details` - an object storing additional information about the cause of the message
        `path` - a timeline object path to the tree node and the timeline object
      Since:
        1.0
      See Also:
        `Message`, `TreePathMessage`

    - #### TimelineObjectPathMessage

          public TimelineObjectPathMessage(String text,
                                           TimelineObjectPath path)

      Constructs a new information message.
      Parameters:
        `text` - the message that will be shown to the user
        `path` - a tree path to the tree node to which the timeline object belongs
      Since:
        1.0
      See Also:
        `Message`, `TreePathMessage`

  - ### Method Detail

    - #### getTimelineObjectPath

          public TimelineObjectPath getTimelineObjectPath()

      Description copied from interface: `ITimelineObjectPathMessage`
      A path to the timeline object.
      Specified by:
        `getTimelineObjectPath` in interface `ITimelineObjectPathMessage`
      Returns:
        the referenced timeline object

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.